function [ molecule_pos, molecule_orient ] = m_gen_combine_dyes( handles, idx_dye )
% This function combines the dye (of the same kind) positions of the
% different structures into a single array.

% PARENT: testSTROM.m
% CHILD: ~

% getting the initial dye positions on the different structures
init_dye_pos=handles.seq_params.labels.init_dye_coords;
init_dye_orient=handles.seq_params.labels.init_orientation;

%appending the nonspecific labels
init_dye_pos=[init_dye_pos; handles.seq_params.labels.init_nonspec_coords];
init_dye_orient=[init_dye_orient; handles.seq_params.labels.init_nonspec_orientation];

if size(init_dye_pos,1)>1
    % combining the dye positions of the different structures
    %molecule_pos.init_pos=cell2mat(cat(1,init_dye_pos{:, idx_dye}));
    molecule_pos.init_pos=cat(2,init_dye_pos{:, idx_dye});
    molecule_orient.init_orient=cat(2,init_dye_orient{:, idx_dye});
elseif size(init_dye_pos,1)
    molecule_pos.init_pos=init_dye_pos{1, idx_dye};
    molecule_orient.init_orient=init_dye_orient{1, idx_dye};
else
    error('No pattern or nonspecific labeling were added.')
end

end

