function [  ] = m_gen_plot_mol_coord( dye_pos, f, idx_dye, extent)
% This function plots the dye molecule postitions for the given structure.

% dye coordinates
x_plot(1,:)=dye_pos(1,:);
y_plot(1,:)=dye_pos(2,:);
z_plot(1,:)=dye_pos(3,:);

figure(f)

% choosing color for the actual dye type
switch idx_dye
    case 1
        color='red';
    case 2
        color='green';
end

% plotting the positions
scatter3(x_plot,y_plot,z_plot,20,'MarkerEdgeColor','black','MarkerFaceColor',color);

% format the graph
box on;
grid off;
xlabel('X [nm]');
ylabel('Y [nm]');
zlabel('Z [nm]');
axis equal

% "x" and "y" ranges
axis([-extent/2 extent/2 -extent/2 extent/2]);
%axis([-extent/2 extent/2 -extent/2 extent/2 -1100 1800]);
%axis([-extent/2 extent/2 -extent/2 extent/2 -1350 1000]);
%set(gca, 'Xdir', 'reverse')



% view the plot from the "z" axis
view(0,90);
% view the plot from the "y" axis
%view(0,0);
% view the plot from the "x" axis
%view(-90,0);


end
