function [ drift_coords ] = m_gen_trajs_drift( params )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

drift_type='test';
T_frame=1/params.aq.frame_rate;
frame_N=params.aq.frame_N;


switch drift_type
    case 'linear'
        idx_frame=1:frame_N;
        drift_velocity=params.drift.mean_velocity;
        drift_coords=drift_velocity*idx_frame*T_frame;

    case 'random_walk'

        v_mean_x=10;
        v_mean_y=10;
        v_mean_z=0;

        v_delta_x=0.3;
        v_delta_y=0.3;
        v_delta_z=0;
        
        v=[v_mean_x;v_mean_y;v_mean_z];
        drift_coords(:,1)=[0;0;0];
        for idx_frame=2:frame_N
            v=v+[v_delta_x;v_delta_y;v_delta_z].*randn(3,1);
            drift_coords(:,idx_frame)=drift_coords(:,idx_frame-1)+v*T_frame;
        end
    case 'test'
        mean_velocity=params.drift.mean_velocity;   % mean drift velocity
        acc_stdev=params.drift.acc_stdev;           % standard deviation of the applied random forces
        damping_linear=params.drift.damping_coeff(1);   % damping coefficient linear with the drift velocity
        damping_square=params.drift.damping_coeff(2);	% damping coefficient square with the drift velocity
        
        velocity=mean_velocity;                 % actual drift velocity
        drift_coords=zeros(3,frame_N);
        drift_coords(:,1)=[0;0;0];              % total coordinate changes caused by the drift
        drift_abs_velocity=zeros(frame_N,1);
        drift_abs_velocity(1,1)=norm(velocity);
        
        % going through the frames
        for idx_frame=2:frame_N
            % change of the drift velocity
            delta_velocity=(acc_stdev.*randn(3,1)...
                -damping_linear*(velocity-mean_velocity)...
                -damping_square*norm(velocity-mean_velocity)*...
                (velocity-mean_velocity))*T_frame;
            % calculating new drift velocities and coordinates
            velocity=velocity+delta_velocity;
            drift_coords(:,idx_frame)=drift_coords(:,idx_frame-1)+(velocity-delta_velocity/2)*T_frame;
            drift_abs_velocity(idx_frame,1)=norm(velocity-delta_velocity/2);
        end
end

%A=[drift_coords',drift_abs_velocity];
%save('drift_coords.dat', 'A', '-ascii', '-tabs')
end

