function generate_test_cases(seq_path)
% Sample parameter settings
seq_params=[];

% Storage info
seq_params.filename='T1_seq';
seq_params.format='tif';
seq_params.path=seq_path;

% Dye parameter settings
seq_params.dye.name='base_dye';
seq_params.dye.tauon=0.05;
seq_params.dye.tauoff=25;
seq_params.dye.taub=500;
seq_params.dye.lambda=647;
seq_params.dye.N_ofphotonpersec=400000;

% Acqusition / Camera settings
seq_params.aq.frame_size=128;% The frame size NxN.
seq_params.aq.frame_N_max=10000;% The number of frames in sequence fragment.
seq_params.aq.frame_N=seq_params.aq.frame_N_max;
seq_params.aq.frame_rate=100;% frame/s
seq_params.aq.frame_fill_factor=1;% the fraction of the exposure time used to collect photons.
seq_params.aq.pixel_size=160;
seq_params.aq.bg_level=0;
seq_params.psf.name='gauss';
seq_params.psf.size=120;
seq_params.psf.n=1.33;

% Variable parameter setting
param_infos=[];
param_infos(1).N_photons=1000;% The number of photons per frame.
param_infos(1).b_value=0;% Background level photon/pixel
param_infos(1).sig_per_pix=1;%
% param_infos(1).mol_pos=[m_gen_descartes_prod([1,1])'*32-16;zeros(1,1)]*seq_params.aq.pixel_size;%nm
param_infos(1).mol_pos=[m_gen_descartes_prod([4,4])'*32-16;zeros(1,16)]*seq_params.aq.pixel_size;%nm
param_infos(1).mol_shift=[0;0;0];%nm
param_infos(1).mol_shift_idx=1;%
param_infos(1).mol_N=length(param_infos(1).mol_pos(1,:));%
param_infos(1).traj_delay=ones(1,param_infos(1).mol_N);%
param_infos(1).traj_length=5*ones(1,param_infos(1).mol_N);%
param_infos(1).traj_frames=8;%

N_photons_vals=logspace(log10(50),4,25);

% mol_shift_delta=(0:0.025:0.5)*seq_params.aq.pixel_size;%nm
mol_shift_delta=(0:0.25:0.5)*seq_params.aq.pixel_size;%nm
mol_shift_vals=[];
for idx=1:length(mol_shift_delta)
    for idx_2=1:idx
        mol_shift_vals=[mol_shift_vals [mol_shift_delta(idx);mol_shift_delta(idx_2);0]];
    end
end

indexes=m_gen_descartes_prod([length(mol_shift_vals(1,:)) length(N_photons_vals)]);
% indexes(indexes(:,1)==2 & indexes(:,2)~=1,:)=[];


%%
for qwe=1:length(indexes(:,1))
    param_infos(qwe)=param_infos(1);
    param_infos(qwe).mol_shift=mol_shift_vals(:,indexes(qwe,1));
    param_infos(qwe).mol_shift_idx=indexes(qwe,1);
    param_infos(qwe).N_photons=N_photons_vals(indexes(qwe,2));
end

%%
for qwe=1:length(param_infos)
    disp(['N_photons: ',num2str(param_infos(qwe).N_photons),' mol_shift: ',num2str(param_infos(qwe).mol_shift')])
end

%%
if ~isdir(seq_params.path)
    mkdir(seq_params.path)
end
save([seq_params.path,filesep,seq_params.filename,'_param_infos.mat'],'param_infos','seq_params')

%%

generate_test_cases_write_seq(seq_params,param_infos);



